diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index 37880110e5..a9c7f41c6d 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -1338,18 +1338,17 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
     <term><literal>toast_tuple_target</literal> (<type>integer</type>)</term>
     <listitem>
      <para>
-      The toast_tuple_target specifies the minimum tuple length required before
-      we try to move long column values into TOAST tables, and is also the
-      target length we try to reduce the length below once toasting begins.
-      This only affects columns marked as either External or Extended
-      and applies only to new tuples - there is no effect on existing rows.
-      By default this parameter is set to allow at least 4 tuples per block,
-      which with the default blocksize will be 2040 bytes. Valid values are
-      between 128 bytes and the (blocksize - header), by default 8160 bytes.
-      Changing this value may not be useful for very short or very long rows.
-      Note that the default setting is often close to optimal, and
-      it is possible that setting this parameter could have negative
-      effects in some cases.
+      Allows the minimum tuple length threshold before
+      <productname>PostgreSQL</productname> will attempt to
+      <acronym>TOAST</acronym> variable length <literal>EXTERNAL</literal> and
+      <literal>EXTENDED</literal> attributes to be increased over the default
+      value.  By default, this parameter is set to allow at least 4 tuples
+      per page, which with the default page size will be 2032 bytes.  Valid
+      values range from 2032 bytes up to 8160 bytes (page size - header).
+      Increasing this value over the default allows long tuples to be kept
+      inline, however, new values for this setting, if not chosen carefully
+      can result in unusual amounts of free space being left in pages which
+      can be too small to accommodate any new tuples.
       This parameter cannot be set for TOAST tables.
      </para>
     </listitem>
diff --git a/src/backend/access/common/reloptions.c b/src/backend/access/common/reloptions.c
index cfbabb5265..488dbc5f80 100644
--- a/src/backend/access/common/reloptions.c
+++ b/src/backend/access/common/reloptions.c
@@ -312,7 +312,7 @@ static relopt_int intRelOpts[] =
 			RELOPT_KIND_HEAP,
 			ShareUpdateExclusiveLock
 		},
-		TOAST_TUPLE_TARGET, 128, TOAST_TUPLE_TARGET_MAIN
+		TOAST_TUPLE_TARGET, TOAST_TUPLE_TARGET, TOAST_TUPLE_TARGET_MAIN
 	},
 	{
 		{
